### Function

# Atspi EventListenerCB

#### Declaration

    void
    (* AtspiEventListenerCB) (
      AtspiEvent* event,
      void* user_data
    )

#### Description [src]

A function prototype for callbacks via which clients are notified of AT-SPI events.

#### Parameters

`event`

  Type: `AtspiEvent`

  The event for which notification is sent.

  The called function takes ownership of the data, and is responsible for freeing it.

`user_data`

  Type: `void*`

  User data which is passed to the callback each time a notification takes place.

  The argument can be `NULL`.
  The data is owned by the caller of the function.